{% extends 'common/modal-form.html' %}
{% load i18n crispy_forms_tags %}

{% block title %}
  {% with absence_type=holiday_policy.absence_type %}

  {% blocktranslate %}Manage employees using policy '{{ absence_type }}/{{ holiday_policy }}'{% endblocktranslate %}
  {% endwith %}
{% endblock %}

{% block modal-body %}
  <div class="table-responsive">
    <table class="table">
      <thead>
      <tr>
        <th>{% translate 'Employee' %}</th>
        <th>{% translate 'Applicable at' %}</th>
        <th></th>
      </tr>
      </thead>
      <tbody
          id="holiday-policy-applications"
          hx-get="{{ request.path }}"
          hx-trigger="timetracker:holidaypolicy:changed from:body"
          hx-target="#holiday-policy-applications"
          hx-select="#holiday-policy-applications"
          hx-swap="outerHTML"
      >
      {% for application in applications %}
          <tr>
              <td>{{ application.employee }}</td>
              <td>{{ application.application_date }}</td>
              <td class="text-end">
                  <button
                          class="btn btn-action"
                          hx-post="{% url 'timetracker:holidaypolicy:employee-delete' pk=application.pk %}"
                  ><i class="bi bi-trash"></i></button>
              </td>
          </tr>
      {% empty %}
          <tr>
              <td colspan="3">{% translate 'No employees are using this policy.' %}</td>
          </tr>
      {% endfor %}
      </tbody>
    </table>
  </div>
    <div class="modal-body">
        <div
                hx-get="{% url 'timetracker:holidaypolicy:employee-add' pk=holiday_policy.pk %}"
                hx-trigger="load, timetracker:holidaypolicy:deleted from:body"
                hx-target="this"
        ></div>
    </div>
{% endblock %}

{% block footer %}
    <button class="btn" data-bs-dismiss="modal" title="{% translate 'Close' %}">
        <i class="bi bi-check-lg"></i>
        {% translate 'Close' %}
    </button>
{% endblock %}